/**********************************************************************
Copyright (c) 2006 Thomas Marti, Stefan Schmid and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Contributors:
    ...
**********************************************************************/
package org.datanucleus.store.expression.spatial;

import org.datanucleus.store.mapped.expression.BooleanExpression;
import org.datanucleus.store.mapped.expression.ScalarExpression;

public class SpatialBooleanExpression extends BooleanExpression
{

    public SpatialBooleanExpression(ScalarExpression function, ScalarExpression booleanValue)
    {
        super(function, OP_EQ, booleanValue);
        mapping = qs.getStoreManager().getMappingManager().getMappingWithDatastoreMapping(
            Boolean.class, false, false, qs.getClassLoaderResolver());
    }

    public SpatialBooleanExpression(ScalarExpression operand1, String relationalOperator, ScalarExpression operand2)
    {
        super(operand1, OP_EQ, operand2);
        mapping = qs.getStoreManager().getMappingManager().getMappingWithDatastoreMapping(
            Boolean.class, false, false, qs.getClassLoaderResolver());
        st.clearStatement();
        st.append(operand1).append(relationalOperator).append(operand2);
    }

}
