/**********************************************************************
Copyright (c) 2006 Thomas Marti, Stefan Schmid and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Contributors:
    ...
**********************************************************************/
package org.datanucleus.store.expression.spatial;

import java.util.List;
import java.util.ListIterator;

import org.datanucleus.store.mapped.expression.NumericExpression;
import org.datanucleus.store.mapped.expression.ScalarExpression;
import org.datanucleus.store.mapped.mapping.JavaTypeMapping;

public class SpatialNumericExpression extends NumericExpression
{
    public SpatialNumericExpression(ScalarExpression expr, String functionName, List args, JavaTypeMapping mapping)
    {
        super(expr.getQueryExpression(), mapping, expr.getLogicSetExpression());
        st.append(expr);
        st.append('.').append(functionName).append('(');
        if (args != null && (!args.isEmpty()))
        {
            ListIterator i = args.listIterator();
            ScalarExpression arg = (ScalarExpression) i.next();
            st.append(arg);
            while (i.hasNext())
            {
                arg = (ScalarExpression) i.next();
                st.append(',').append(arg);
            }
        }
        st.append(')');
    }

    public SpatialNumericExpression(String functionName, List args, JavaTypeMapping mapping)
    {
        super(functionName, args);
        this.mapping = mapping;
    }
}
