/**********************************************************************
 Copyright (c) 2007 Roger Blum, Pascal N�esch and others. All rights reserved.
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

 Contributors:
 ...
 **********************************************************************/
package org.datanucleus.store.mapped.mapping.ao;

import com.esri.arcgis.geometry.GeometryBag;
import com.esri.arcgis.geometry.Line;
import com.esri.arcgis.geometry.Point;

/**
 * Mapping for com.esri.arcgis.geometry.GeometryBag to its datastore representation.
 * @version $Revision: 1.1 $
 */

public class GeometryBagMapping extends GeometryMapping
{
    private static final GeometryBag sampleValue;
    static
    {
        sampleValue = new GeometryBag();

        Point singlePoint = new Point();
        singlePoint.putCoords(10.0, 10.0);

        Point startPoint = new Point();
        Point endPoint = new Point();
        startPoint.putCoords(20.0, 20.0);
        endPoint.putCoords(40.0, 40.0);

        Line line = new Line();
        line.putCoords(startPoint, endPoint);

        sampleValue.addGeometry(singlePoint, null, null);
        sampleValue.addGeometry(line, null, null);
    }

    public Class getJavaType()
    {
        return GeometryBag.class;
    }

    protected Object getSampleValue()
    {
        return sampleValue;
    }
}
